[Initng-svn] r3174 - initng/trunk

svn at initng.thinktux.net svn at initng.thinktux.net
Thu Mar 2 13:08:50 CET 2006


Author: trigger
Date: Thu Mar  2 13:08:50 2006
New Revision: 3174

Modified:
   initng/trunk/release.sh
Log:
update release.sh - autogen.sh is dead :), don't run make distclean before make dist in test

Modified: initng/trunk/release.sh
==============================================================================
--- initng/trunk/release.sh	(original)
+++ initng/trunk/release.sh	Thu Mar  2 13:08:50 2006
@@ -96,7 +96,9 @@
 			fi
 
 			echo "Generating pre-release tarball..."
-			./autogen.sh || die "Failed to run autogen! BAD BAD BAD"
+			make -f Makefile.cvs || die "Failed to run make -f Makefile.cvs! BAD BAD BAD"
+
+			./configure || die "Failed to run ./confugure"
 
 			make dist || die "Failed to create distribution archive! BAD BAD BAD"
 			echo
@@ -126,7 +128,9 @@
 				"${INITNG_REPO}/branches/${VERSION}" "${INITNG_REPO}/tags/${VERSION}"
 
 			echo "Generating release tarball..."
-			./autogen.sh || die "Failed to run autogen! BAD BAD BAD"
+			make -f Makefile.cvs || die "Failed to run make -f Makefile.cvs! BAD BAD BAD"
+
+			./configure || die "Failed to run ./confugure"
 
 			make dist || die "Failed to create distribution archive! BAD BAD BAD"
 			echo
@@ -140,18 +144,20 @@
 		fi
 		;;
 	test)
-		echo "Running autogen.sh..."
-		./autogen.sh || die "Failed to run autogen!"
+		echo "Running make -f Makefile.cvs..."
+		make -f Makefile.cvs || die "Failed to run make -f Makefile.cvs! BAD BAD BAD"
+
+		./configure || die "Failed to run ./confugure"
 
 		echo "Compiling initng..."
 		make || die "Failed to compile initng"
 
-		echo "Cleaning generated files..."
-		make distclean || die "Failed to clean generated files"
-
 		echo "Generating distribution tarball..."
 		make dist || die "Failed to create distribution archive!"
 
+		echo "Cleaning generated files..."
+		make distclean || die "Failed to clean generated files"
+
 		echo
 		echo "Test run successfully :)"
 		;;
@@ -195,7 +201,7 @@
 			echo "       - create the branch on SVN server"
 			echo "       - switch working copy to new branch"
 			echo "       - set correct version number in configure script"
-			echo "       - call autogen.sh and make dist"
+			echo "       - call make -f Makefile.cvs and make dist"
 		fi
 		if [ -z "$2" -o "$2" == "release" ]; then
 			echo "    $0 release"
@@ -203,13 +209,13 @@
 			echo "       This finalization is composed of:"
 			echo "       - set correct version number in configure script"
 			echo "       - create the tag on SVN server"
-			echo "       - call autogen.sh and make dist"
+			echo "       - call make -f Makefile.cvs and make dist"
 		fi
 		if [ -z "$2" -o "$2" == "test" ]; then
 			echo "    $0 test"
 			echo "       Perform some test compilation"
 			echo "       This test-phase is composed of:"
-			echo "       - run autogen.sh"
+			echo "       - run make -f Makefile.cvs"
 			echo "       - make"
 			echo "       - make distclean"
 			echo "       - make dist"


More information about the Initng-svn mailing list